body.no-scroll {
  overflow: hidden;
  padding-right: var(--sbw, 0px);
}

/* Скрываем стандартный попап Bitrix  */
.title-search-result,
.title-search-fader {
    display: none !important;
}


.search-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.35);
    z-index: 1100;
    /*width: calc(100% - 40px);
    margin: 0 20px 25px;*/

    /* для анимации */
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity .2s ease;
}

.search-overlay--visible {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

/* Карточка поиска */
.search-overlay__panel {
    position: fixed;
	box-sizing: border-box;
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.25);
    overflow: hidden;
    max-height: calc(100vh - 40px);
    padding: 0 0 30px;
	margin-top: 20px;

    opacity: 0;
    transform: translateY(10px);
    transition: opacity .2s ease, transform .2s ease;
}

.search-overlay--visible .search-overlay__panel {
    opacity: 1;
    transform: translateY(0);
}

.search--overlay input {
    font-size: 15px;
}

.search-overlay mark {
    background: #FEEBE5;
    display: inline-block;
}

/* Внутреннее содержимое (2 колонки) */
.search-overlay__inner {
    display: flex;
    gap: 10px;
    padding: 15px 45px 0;
    overflow: scroll;
    height: 55vh;
}

.search-overlay__column {
    flex: 1;
}

.search-overlay__title {
    font-size: 14px;
    font-weight: 700;
    color: #f23300;
    text-transform: uppercase;
    margin-bottom: 18px;
}

.search-overlay__list,
.search-overlay__products {
    list-style: none;
    margin: 0;
    padding: 0;
}

/* Левые пункты */
.search-overlay__list li {
    font-size: 15px;
    color: #2a2a2a;
    margin-bottom: 18px;
}

/* Товары (правая колонка) */
.search-overlay__product {
    margin-bottom: 18px;
}

.search-overlay__product-link {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 20px;
    text-decoration: none;
    width: 100%;
}

.search-overlay__product-link:hover {
    color: #f23300;
}

.search-overlay__product-link:hover div {
    color: #f23300;
}

.search-overlay__product-name {
    font-size: 13px;
    color: #2a2a2a;
    margin-bottom: 4px;
}

.search-overlay__product-price {
    font-size: 12px;
    color: rgba(42, 42, 42, 0.7);
}

.search-overlay__product-image img {
    display: block;
    max-width: 70px;
    height: auto;
}

.search-overlay__empty-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px;
    width: 100%;
    max-width: 320px;
    height: 55px;
    border-radius: 10px;
    border: 1px solid #2a2a2a;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    text-align: center;
    transition: all .3s;
}

.search-overlay__empty-btn:hover {
    background: #e8e8e8;
}

/* Подсветка совпадений */
.search-highlight {
    background: #FEEBE5;
    display: inline-block;
}

/* По умолчанию показываем default */
.search-overlay__content--results-left,
.search-overlay__content--results-right,
.search-overlay__content--empty-left {
    display: none;
}

/* Есть результаты */
.search-overlay--results .search-overlay__content--default-left,
.search-overlay--results .search-overlay__content--default-right {
    display: none;
}

.search-overlay--results .search-overlay__content--results-left,
.search-overlay--results .search-overlay__content--results-right {
    display: block;
}

/* Ничего не найдено */
.search-overlay--empty .search-overlay__content--default-left {
    display: none;
}

.search-overlay--empty .search-overlay__content--results-left,
.search-overlay--empty .search-overlay__content--results-right {
    display: none;
}

/* слева блок "товары не найдены" */
.search-overlay--empty .search-overlay__content--empty-left {
    display: block;
}

/*Кнопка смотреть еще*/
.search-overlay__show-more {
    margin-top: 20px;
    text-align: center;
}

.search-overlay__show-more-btn {
    display: inline-block;
    padding: 12px 30px;
    background: #f23300;
    color: #fff;
    border-radius: 10px;
    text-decoration: none;
    font-size: 14px;
    transition: background 0.3s;
}

.search-overlay__show-more-btn:hover {
    background: #d62e00;
}

@media (max-width: 1024px) {
    /* Окно поиска */
    .search-overlay__panel {
        border-radius: 6px;
        max-height: calc(100vh - 40px);
    }

    /* Инпут поиска */
    .search--overlay {
        display: flex;
        /*width: 95%;*/
        height: 33px;
        border: 1px solid #2a2a2a;
        border-radius: 6px;
        padding: 0 0 0 9px;
        position: relative;
        flex: 1;
        /*margin: 0 10px 20px;*/
    }

    .search--overlay input {
        font-size: 10px;
        padding-right: 38px;
    }

    .search--overlay input::placeholder {
        font-size: 10px;
    }

    .search--overlay .search__btn {
        position: absolute;
        right: -2px;
        top: 0;
        width: 38px;
        height: 100%;
        background-color: #2a2a2a;
        border-radius: 6px;
        border: none;
    }

	.search--overlay .search__btn svg {
        width: 16px;
    }

    .search--overlay .search__btn svg path {
        stroke: #fff;
    }

    .search--overlay .search__btn img {
        width: 16px;
        height: 16px;
        filter: brightness(0) invert(1);
    }

    .search-overlay__inner {
        flex-direction: column;
        gap: 25px;
        padding: 20px 15px 25px;
    }

    .search-overlay__empty-btn {
        font-size: 12px;
        height: 30px;
        max-width: 230px;
        margin-top: 20px;
    }
}

